import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { AccountDTO } from './exchangeAPI.schemas';
import accountControllerGetAccountMutator from '../response-type';
import accountControllerCreateMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const accountControllerGetAccount: <TData = AccountDTO>(options?: SecondParameter<typeof accountControllerGetAccountMutator>) => Promise<TData>;
export declare const getAccountControllerGetAccountQueryKey: () => string[];
export declare const useAccountControllerGetAccount: <TQueryFnData = AccountDTO, TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof accountControllerGetAccountMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const accountControllerCreate: <TData = void>(options?: SecondParameter<typeof accountControllerCreateMutator>) => Promise<TData>;
export declare const useAccountControllerCreate: <TData = void, TError = unknown, TVariables = void, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, TVariables, TContext>;
    request?: SecondParameter<typeof accountControllerCreateMutator>;
}) => import("react-query").UseMutationResult<TData, TError, TVariables, TContext>;
export {};
