import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { BundlePublicDTO, Bundle, CreateBundleDTO, BundleTrade, BuyBundleDTO, BundleSplitDTO } from './exchangeAPI.schemas';
import bundleControllerGetAvailableBundlesMutator from '../response-type';
import bundleControllerGetMyBundlesMutator from '../response-type';
import bundleControllerCreateBundleMutator from '../response-type';
import bundleControllerGetMyTradesMutator from '../response-type';
import bundleControllerBuyBundleMutator from '../response-type';
import bundleControllerCancelBundleMutator from '../response-type';
import bundleControllerAvailableBundleSplitsMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const bundleControllerGetAvailableBundles: <TData = BundlePublicDTO[]>(options?: SecondParameter<typeof bundleControllerGetAvailableBundlesMutator>) => Promise<TData>;
export declare const getBundleControllerGetAvailableBundlesQueryKey: () => string[];
export declare const useBundleControllerGetAvailableBundles: <TQueryFnData = BundlePublicDTO[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof bundleControllerGetAvailableBundlesMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const bundleControllerGetMyBundles: <TData = Bundle[]>(options?: SecondParameter<typeof bundleControllerGetMyBundlesMutator>) => Promise<TData>;
export declare const getBundleControllerGetMyBundlesQueryKey: () => string[];
export declare const useBundleControllerGetMyBundles: <TQueryFnData = Bundle[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof bundleControllerGetMyBundlesMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const bundleControllerCreateBundle: <TData = Bundle>(createBundleDTO: CreateBundleDTO, options?: SecondParameter<typeof bundleControllerCreateBundleMutator>) => Promise<TData>;
export declare const useBundleControllerCreateBundle: <TData = Bundle, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: CreateBundleDTO;
    }, TContext>;
    request?: SecondParameter<typeof bundleControllerCreateBundleMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: CreateBundleDTO;
}, TContext>;
export declare const bundleControllerGetMyTrades: <TData = BundleTrade[]>(options?: SecondParameter<typeof bundleControllerGetMyTradesMutator>) => Promise<TData>;
export declare const getBundleControllerGetMyTradesQueryKey: () => string[];
export declare const useBundleControllerGetMyTrades: <TQueryFnData = BundleTrade[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof bundleControllerGetMyTradesMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const bundleControllerBuyBundle: <TData = BundleTrade>(buyBundleDTO: BuyBundleDTO, options?: SecondParameter<typeof bundleControllerBuyBundleMutator>) => Promise<TData>;
export declare const useBundleControllerBuyBundle: <TData = BundleTrade, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: BuyBundleDTO;
    }, TContext>;
    request?: SecondParameter<typeof bundleControllerBuyBundleMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: BuyBundleDTO;
}, TContext>;
export declare const bundleControllerCancelBundle: <TData = Bundle>(id: string, options?: SecondParameter<typeof bundleControllerCancelBundleMutator>) => Promise<TData>;
export declare const useBundleControllerCancelBundle: <TData = Bundle, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: string;
    }, TContext>;
    request?: SecondParameter<typeof bundleControllerCancelBundleMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: string;
}, TContext>;
export declare const bundleControllerAvailableBundleSplits: <TData = BundleSplitDTO>(id: string, options?: SecondParameter<typeof bundleControllerAvailableBundleSplitsMutator>) => Promise<TData>;
export declare const getBundleControllerAvailableBundleSplitsQueryKey: (id: string) => string[];
export declare const useBundleControllerAvailableBundleSplits: <TQueryFnData = BundleSplitDTO, TError = unknown, TData = TQueryFnData>(id: string, options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof bundleControllerAvailableBundleSplitsMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export {};
