import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { SupplyDto, CreateSupplyDto, UpdateSupplyDto } from './exchangeAPI.schemas';
import supplyControllerCreateMutator from '../response-type';
import supplyControllerFindAllMutator from '../response-type';
import supplyControllerFindOneMutator from '../response-type';
import supplyControllerUpdateMutator from '../response-type';
import supplyControllerRemoveMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const supplyControllerCreate: <TData = SupplyDto[]>(createSupplyDto: CreateSupplyDto, options?: SecondParameter<typeof supplyControllerCreateMutator>) => Promise<TData>;
export declare const useSupplyControllerCreate: <TData = SupplyDto[], TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: CreateSupplyDto;
    }, TContext>;
    request?: SecondParameter<typeof supplyControllerCreateMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: CreateSupplyDto;
}, TContext>;
export declare const supplyControllerFindAll: <TData = SupplyDto[]>(options?: SecondParameter<typeof supplyControllerFindAllMutator>) => Promise<TData>;
export declare const getSupplyControllerFindAllQueryKey: () => string[];
export declare const useSupplyControllerFindAll: <TQueryFnData = SupplyDto[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof supplyControllerFindAllMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const supplyControllerFindOne: <TData = SupplyDto[]>(id: string, options?: SecondParameter<typeof supplyControllerFindOneMutator>) => Promise<TData>;
export declare const getSupplyControllerFindOneQueryKey: (id: string) => string[];
export declare const useSupplyControllerFindOne: <TQueryFnData = SupplyDto[], TError = unknown, TData = TQueryFnData>(id: string, options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof supplyControllerFindOneMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const supplyControllerUpdate: <TData = SupplyDto[]>(id: string, updateSupplyDto: UpdateSupplyDto, options?: SecondParameter<typeof supplyControllerUpdateMutator>) => Promise<TData>;
export declare const useSupplyControllerUpdate: <TData = SupplyDto[], TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: string;
        data: UpdateSupplyDto;
    }, TContext>;
    request?: SecondParameter<typeof supplyControllerUpdateMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: string;
    data: UpdateSupplyDto;
}, TContext>;
export declare const supplyControllerRemove: <TData = void>(id: string, options?: SecondParameter<typeof supplyControllerRemoveMutator>) => Promise<TData>;
export declare const useSupplyControllerRemove: <TData = void, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: string;
    }, TContext>;
    request?: SecondParameter<typeof supplyControllerRemoveMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: string;
}, TContext>;
export {};
