import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { Transfer, RequestWithdrawalDTO, RequestClaimDTO, RequestBatchClaimDTO, RequestSendDTO } from './exchangeAPI.schemas';
import transferControllerGetMyTransfersMutator from '../response-type';
import transferControllerRequestWithdrawalMutator from '../response-type';
import transferControllerRequestClaimMutator from '../response-type';
import transferControllerRequestBatchClaimMutator from '../response-type';
import transferControllerRequestSendMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const transferControllerGetMyTransfers: <TData = Transfer[]>(options?: SecondParameter<typeof transferControllerGetMyTransfersMutator>) => Promise<TData>;
export declare const getTransferControllerGetMyTransfersQueryKey: () => string[];
export declare const useTransferControllerGetMyTransfers: <TQueryFnData = Transfer[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof transferControllerGetMyTransfersMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const transferControllerRequestWithdrawal: <TData = string>(requestWithdrawalDTO: RequestWithdrawalDTO, options?: SecondParameter<typeof transferControllerRequestWithdrawalMutator>) => Promise<TData>;
export declare const useTransferControllerRequestWithdrawal: <TData = string, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: RequestWithdrawalDTO;
    }, TContext>;
    request?: SecondParameter<typeof transferControllerRequestWithdrawalMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: RequestWithdrawalDTO;
}, TContext>;
export declare const transferControllerRequestClaim: <TData = string>(requestClaimDTO: RequestClaimDTO, options?: SecondParameter<typeof transferControllerRequestClaimMutator>) => Promise<TData>;
export declare const useTransferControllerRequestClaim: <TData = string, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: RequestClaimDTO;
    }, TContext>;
    request?: SecondParameter<typeof transferControllerRequestClaimMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: RequestClaimDTO;
}, TContext>;
export declare const transferControllerRequestBatchClaim: <TData = string>(requestBatchClaimDTO: RequestBatchClaimDTO, options?: SecondParameter<typeof transferControllerRequestBatchClaimMutator>) => Promise<TData>;
export declare const useTransferControllerRequestBatchClaim: <TData = string, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: RequestBatchClaimDTO;
    }, TContext>;
    request?: SecondParameter<typeof transferControllerRequestBatchClaimMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: RequestBatchClaimDTO;
}, TContext>;
export declare const transferControllerRequestSend: <TData = string>(requestSendDTO: RequestSendDTO, options?: SecondParameter<typeof transferControllerRequestSendMutator>) => Promise<TData>;
export declare const useTransferControllerRequestSend: <TData = string, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: RequestSendDTO;
    }, TContext>;
    request?: SecondParameter<typeof transferControllerRequestSendMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: RequestSendDTO;
}, TContext>;
export {};
